package com.aip.gateway.api.service;

import com.aip.gateway.api.aip.model.AipLabel;
import com.aip.gateway.api.aip.model.AipTemplate;
import com.aip.gateway.api.model.response.GeneralResponse;

import java.util.List;

public interface IApiAipService {

    GeneralResponse downloadAipInfo();

    // AIP File Interface
    List<AipLabel> getLabels();
    List<AipLabel> getPolicies();
    List<AipTemplate> getProtections();
}
